Summary: Cued DPO terminal support
Name: cued-dpo
Version: 1
Release: 3
BuildRoot: %{_tmppath}/%{name}-%{version}-build
License: CUED
Packager: John Sloan <js138@eng.cam.ac.uk>
Group: CUED
Requires: cued-ati-fglrx
BuildArchitectures: noarch
Source0: cued-dpo.tar.gz

%description
Files required to support diskless terminals nfs mounting root etc from
server.

%prep
%setup -n %{name}
%build
%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/local/sbin
mkdir -p $RPM_BUILD_ROOT/etc/X11/
mkdir -p $RPM_BUILD_ROOT/usr/lib/powersave/scripts
install -m 0755 set_hostname.pl $RPM_BUILD_ROOT/usr/local/sbin
install -m 0755 cued-prerotate $RPM_BUILD_ROOT/etc/init.d
install -m 0755 boot.cued-postrotate $RPM_BUILD_ROOT/etc/init.d
install -m 0755 cued_wm_shutdown $RPM_BUILD_ROOT/usr/lib/powersave/scripts
install -m 0755 cued-desktop-prechecks $RPM_BUILD_ROOT/usr/local/sbin
for i in xorg.conf*
do
	install -m 0644 $i $RPM_BUILD_ROOT/etc/X11/
done
%files
/usr/local/sbin/*
/usr/lib/powersave/scripts/*
%config /etc/init.d/*
%config /etc/X11/*
